Subject: bug#63036: -v or --verbose CLI argument input is undocumented in the CLI

From: "jgart" <[email-masked]>
Date: Sun, 23 Apr 2023 15:27:36 +0000

User story:

jgart tries to build a currently broken Python music package:

$ guix build -v 6 music21

Hmmm, what is the allowed input range for -v/--verbosity command line flag?

$ guix build --help
-v, --verbosity=LEVEL  use the given verbosity LEVEL

Hmmm, what is the type and/or range of inputs that are valid for LEVEL? 

Darn, I have to go find what the underlying implementation function takes as a valid verbosity level in the source code instead of just reading the documentation output of `guix build --help`. 

...but I just want to know everything that I need to know from just using the CLI and its help system as the user.

jgart adds TODO to document the valid levels in the CLI verbosity option itself

jgart thinks but what if the help message on the valid levels is too long once added?

jgart goes to get ice cream